jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Randall Hauch (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (JCR-3300) tests should consistently check for repository support and fail with NotExecutableException when the repo does not support the feature
Date Fri, 25 May 2012 13:50:23 GMT

    [ https://issues.apache.org/jira/browse/JCR-3300?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13283414#comment-13283414
] 

Randall Hauch commented on JCR-3300:
------------------------------------

Julian, I completely understand the desire to limit back ports, but TCK fixes are a bit of
a different story IMO.

We are running the TCK tests against something that is not Jackrabbit. :-) ModeShape is another
JCR implementation, and we're currently using version 2.4.1 of the TCK tests on several different
versions of ModeShape. We actually *do* have features that are written per the specification
that are failing several TCK tests because of bugs in the TCK tests themselves. Running the
TCK in trunk is not feasible for our Maven builds, and IIUC Jackrabbit doesn't publish SNAPSHOT
into a Maven repository. So we're limited to selecting from the Jackrabbit releases.

Again, if the 2.6 release timeframe is about the same as 2.4.2, then we probably can wait
for 2.6. If 2.6 is going to be a bit, we really would love to have these issues fixed in 2.4.2.

We really do appreciate the additional work on fixing these issues! Many thanks!
                
> tests should consistently check for repository support and fail with NotExecutableException
when the repo does not support the feature
> --------------------------------------------------------------------------------------------------------------------------------------
>
>                 Key: JCR-3300
>                 URL: https://issues.apache.org/jira/browse/JCR-3300
>             Project: Jackrabbit Content Repository
>          Issue Type: Bug
>          Components: jackrabbit-jcr-tests
>    Affects Versions: 2.4.1, 2.6
>            Reporter: Julian Reschke
>            Assignee: Julian Reschke
>            Priority: Minor
>             Fix For: 2.4.2, 2.6
>
>
> AbstractVersionTest should check for Repository.OPTION_VERSIONING_SUPPORTED and throw
NotExecutableException when not set
> RSessionAccessControlTest needs to extend from AbstractAccessControlTest instead of AbstractJCRTest
> etc.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message